petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMPlexCreateRankField

Create a cell field whose value is the rank of the owner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRankField(DM dm, Vec *ranks)

### Input Parameter

| dm | - The DMPlex object

### Output Parameter

| ranks | - The rank field

### Options Database Keys

| -dm_partition_view | - Adds the rank field into the DM output from -dm_view using the same viewer

### See Also

DMView()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages